Bug 164235 - wrong collation of strings when using hungarian locale
wrong collation of strings when using hungarian locale
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 01:12 EDT by Gyuro Lehel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 12:12:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed correction (20.31 KB, text/plain)
2005-08-23 01:34 EDT, Gyuro Lehel
no flags Details

  None (edit)
Description Gyuro Lehel 2005-07-26 01:12:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
The sort order of the accented characters is inaproppiate for the selected language.

Version-Release number of selected component (if applicable):
all glibc versions

How reproducible:
Always

Steps to Reproduce:
Already stated in bug report #147091. A solution for this problem is also submitted there, but it is not included in FC4.
  

Additional info:
Comment 1 Ulrich Drepper 2005-07-26 12:12:26 EDT
I think I blame your inability to produce a correct patch.  The one in bug
147091 was reversed.

Anyway, I've applied it upstream.  It'll turn up in fc5 the latest, maybe in a
fc4 update.  You can always just apply the patch locally, rebuild the locale,
and the locale database.
Comment 2 Gyuro Lehel 2005-08-23 01:34:24 EDT
Created attachment 117991 [details]
proposed correction

With the help of Denis Barbier I managed to produce a correct patch for the
hungarian collation.

Note You need to log in before you can comment on or make changes to this bug.